package com.ynet.life.platform.util;

import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;

/* loaded from: com_ynet_life_platform_util.jar:com/ynet/life/platform/util/PlatformUtil.class */
public class PlatformUtil {
    public static String getDomain(HttpServletRequest request) {
        try {
            Object o = request.getHeader("X-Forward-Server");
            if (o != null) {
                String host = (String) o;
                Trace.logDebug("LifeCore", "访问的域名:::".concat(String.valueOf(host)));
                return host;
            }
            Trace.logDebug("LifeCore", "访问的域名:::null");
            return null;
        } catch (Exception e) {
            Trace.logDebug("LifeCore", "获取访问的域名出错:" + e.toString());
            return null;
        }
    }

    public static String getBankIdByRequest(HttpServletRequest request) {
        Map map = LifeStandard.SYS_PLAT_TABLE;
        String domain = getDomain(request);
        if (domain == null) {
            return "";
        }
        return map.get(domain).toString();
    }

    public static String getBankIdByDomain(String domain) {
        return LifeStandard.SYS_PLAT_TABLE.get(domain).toString();
    }

    public static String getBankId4LinkLAN(HttpServletRequest request) {
        String str = "";
        try {
            Enumeration enumNames = request.getHeaderNames();
            ArrayList<String> al = new ArrayList<>();
            al.add("accept-language");
            al.add("user-agent");
            al.add("host");
            while (enumNames.hasMoreElements()) {
                String strName = (String) enumNames.nextElement();
                String strValue = request.getHeader(strName);
                if (strName != null && !"".equals(strName) && al.contains(strName)) {
                    str = String.valueOf(str) + strValue;
                }
            }
            return str;
        } catch (Exception e) {
            Trace.logDebug("LifeCore", "银企专线--获得成员行行号:" + e.toString());
            return null;
        }
    }

    public static String getBankId(HttpServletRequest request) {
        String bankId;
        String[] arr = LifeStandard.getSelfDefineSettingsValue("CurrentBankId").split(",");
        String productMode = arr[0];
        String manyBank = arr[1];
        if ("false".equals(productMode)) {
            bankId = arr[2];
        } else if ("false".equals(manyBank)) {
            bankId = arr[2];
        } else {
            bankId = getBankIdByRequest(request);
        }
        return bankId;
    }
}
